# core_main.c

This file contains the framework to acquire a block of memory, seed initial parameters, tun t he benchmark and report the results.

Summary

core_main.c | This file contains the framework to acquire a block of memory, seed initial parameters, tun t he benchmark and report the results.
Functions |
iterate | Run the benchmark for a specified number of iterations.
main | Main entry routine for the benchmark.

### Functions

### iterate

Run the benchmark for a specified number of iterations.

#### Operation

For each type of benchmarked algorithm: a - Initialize the data block for the algorithm. b - Execute the algorithm N times.

#### Returns

NULL.

### main

> #if MAIN_HAS_NOARGC MAIN_RETURN_TYPE main( | void | )

Main entry routine for the benchmark. This function is responsible for the following steps:

1 | Initialize input seeds from a source that cannot be determined at compile time.
2 | Initialize memory block for use.
3 | Run and time the benchmark.
4 | Report results, testing the validity of the output if the seeds are known.

#### Arguments

1 | first seed : Any value
2 | second seed : Must be identical to first for iterations to be identical
3 | third seed : Any value, should be at least an order of magnitude less then the input size, but bigger then 32.
4 | Iterations : Special, if set to 0, iterations will be automatically determined such that the benchmark will run between 10 to 100 secs

> #if MAIN_HAS_NOARGC MAIN_RETURN_TYPE main( | void | )

Main entry routine for the benchmark.
Close